# TODO: is polkit-gnome still required?
#
# Conditional build:
%bcond_without	systemd	# rely on systemd for session tracking instead of ConsoleKit
#
Summary:	GNOME PackageKit Client
Summary(pl.UTF-8):	Klient PackageKit dla GNOME
Name:		gnome-packagekit
Version:	3.32.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-packagekit/3.32/%{name}-%{version}.tar.xz
# Source0-md5:	47d7ce6f90107b2166dcd5c8a8445998
Patch0:		systemd-fallback.patch
URL:		https://gitlab.gnome.org/GNOME/gnome-packagekit
BuildRequires:	PackageKit-devel >= 0.9.1
BuildRequires:	appstream-glib
BuildRequires:	dbus-devel >= 1.2.0
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gtk+3-devel >= 3.15.3
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.46.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.736
%{?with_systemd:BuildRequires:  systemd-devel}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	glib2 >= 1:2.32.0
Requires:	PackageKit >= 0.9.1
Requires:	glib2 >= 1:2.32.0
Requires:	gtk+3 >= 3.15.3
Requires:	polkit-gnome >= 0.92
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides session applications for the PackageKit API.
There are several utilities designed for installing, updating and
removing packages.

%description -l pl.UTF-8
Ten pakiet dostarcza aplikacje sesji dla API PackageKit. Zawiera kilka
narzędzi stworzonych do instalacji, aktualizacji i usuwania pakietów.

%prep
%setup -q
%patch0 -p1 -b .orig

%build
%meson build \
	%{!?with_systemd:-Dsystemd=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%py_postclean

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS README
%attr(755,root,root) %{_bindir}/gpk-application
%attr(755,root,root) %{_bindir}/gpk-log
%attr(755,root,root) %{_bindir}/gpk-prefs
%attr(755,root,root) %{_bindir}/gpk-update-viewer
%{_datadir}/GConf/gsettings/org.gnome.packagekit.gschema.migrate
%{_datadir}/glib-2.0/schemas/org.gnome.packagekit.gschema.xml
%{_datadir}/gnome-packagekit
%{_datadir}/metainfo/org.gnome.PackageUpdater.appdata.xml
%{_datadir}/metainfo/org.gnome.Packages.appdata.xml
%{_desktopdir}/gpk-install-local-file.desktop
%{_desktopdir}/gpk-log.desktop
%{_desktopdir}/gpk-prefs.desktop
%{_desktopdir}/org.gnome.PackageUpdater.desktop
%{_desktopdir}/org.gnome.Packages.desktop
%{_iconsdir}/hicolor/scalable/apps/gpk-*.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-catalog.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-package-list.svg
%{_mandir}/man1/gpk-application.1*
%{_mandir}/man1/gpk-log.1*
%{_mandir}/man1/gpk-prefs.1*
%{_mandir}/man1/gpk-update-viewer.1*
%changelog
* Sun Dec 01 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-packagekit.git;a=log;h=master

* Sun Dec 01 2019 Jakub Bogusz <qboosh@pld-linux.org> 8e9d603
- updated to 3.32.0
- updated systemd-fallback patch

* Fri Jun 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 236f18e
- updated to 3.24.0
- updated systemd-fallback patch

* Sun Nov 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 021fb65
- updated to 3.18.0
- updated systemd-fallback patch

* Sun Mar 22 2015 Jan Rękorajski <baggins@pld-linux.org> 1ced6d6
- drop python deps

* Sun Mar 22 2015 Jan Rękorajski <baggins@pld-linux.org> c4d5c1a
- updated to 3.14.2
- python bindings are gone

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> e981bea
- updated gettext BR

* Sun Nov 18 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 9442861
- Update to 3.6.1

* Tue Oct 09 2012 Marcin Banasiak <marcin.banasiak@gmail.com> d802704
- Updated to 3.6.0

* Thu Jun 07 2012 Łukasz Kieś <kiesiu@pld-linux.org> 61d2bff
- updated to 3.4.2

* Tue Mar 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 395b650
- updated to 3.4.0
- added systemd bcond (off by default)

* Sun Oct 23 2011 Artur Frysiak <artur@frysiak.net> 9274738
- up to 3.2.1

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> 20bfdc8
- up to 3.2.0, merge from DEVEL

* Thu Jun 02 2011 Łukasz Kieś <kiesiu@pld-linux.org> 4e0ce0e
- updated to 3.0.3

* Sat May 28 2011 Łukasz Kieś <kiesiu@pld-linux.org> 5bede29
- updated to 3.0.2

* Fri Apr 08 2011 lisu <lisu@pld-linux.org> 519ad6a
- cosmetics

* Fri Apr 08 2011 lisu <lisu@pld-linux.org> 936ec53
- up to 3.0.0 (merged with DEVEL)

* Sun Mar 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 0e57e8f
- en@shaw locale is now supported (via LANGUAGE)

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> ecd992e
- Requires(post,postun): gtk-update-icon-cache

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 6a99a1e
- BR: intltool

* Mon Oct 04 2010 lisu <lisu@pld-linux.org> 6fb7d82
- rel 2, rebuild with fixed docbook-utils

